package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.toutiao.modules.report.service.IByteDanceVideoReportDailyService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.jeecg.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 头条视频报表清洗数据定时任务
 *
 * @author sunzhen
 */
@Component
public class ByteDanceVideoReportJob {
    @Autowired
    private IByteDanceVideoReportDailyService byteDanceVideoReportDailyService;

    // TODO 待删除
   /* @XxlJob("byteDanceVideoReport")
    public void execute() throws Exception {
        String getDate2 = DateUtils.formatDate(DateUtils.addDay(new Date(), -2));
        XxlJobHelper.log("头条视频报表清洗数据定时任务开始, 执行时间为：" + getDate2);
        byteDanceVideoReportDailyService.videoInfoList(getDate2, getDate2);

        String getDate = DateUtils.formatDate(DateUtils.addDay(new Date(), -1));
        XxlJobHelper.log("头条视频报表清洗数据定时任务开始, 执行时间为：" + getDate);
        byteDanceVideoReportDailyService.videoInfoList(getDate, getDate);
    }*/
}
